in scala
object Predef

`object` Predef
  `extends` java.lang.Object
  `with` scala.ScalaObject

  The `Predef` object provides definitions that are accessible in all Scala compilation units without explicit qualification.

Constructor Summary
| `def` this

Type Summary
| `type` ArrayIndexOutOfBoundsException
| `type` Class
| `type` ClassCastException
| `type` Error
| `type` Exception
| `type` Function [a, b]
| `type` IllegalArgumentException
| `type` IndexOutOfBoundsException
| `type` NoSuchElementException
| `type` NullPointerException
| `type` NumberFormatException
| `type` Pair [a, b]
| `type` RuntimeException
| `type` String
| `type` Throwable
| `type` Triple [a, b, c]
| `type` UnsupportedOperationException
| `type` boolean
| `type` byte
| `type` char
| `type` double
| `type` float
| `type` int
| `type` long
| `type` short
| `type` unit

Val Summary
| `val` $scope : scala.xml.TopScope.type

Def Summary
| `def` Pair [a, b] (x: a, y: b) : scala.Tuple2[a, b]
| `def` Triple [a, b, c] (x: a, y: b, z: c) : scala.Tuple3[a, b, c]
| `def` Tuple [a1, a2, a3, a4, a5, a6, a7, a8, a9] (x1: a1, x2: a2, x3: a3, x4: a4, x5: a5, x6: a6, x7: a7, x8: a8, x9: a9) : scala.Tuple9[a1, a2, a3, a4, a5, a6, a7, a8, a9]
| `def` Tuple [a1, a2, a3, a4, a5, a6, a7, a8] (x1: a1, x2: a2, x3: a3, x4: a4, x5: a5, x6: a6, x7: a7, x8: a8) : scala.Tuple8[a1, a2, a3, a4, a5, a6, a7, a8]
| `def` Tuple [a1, a2, a3, a4, a5, a6, a7] (x1: a1, x2: a2, x3: a3, x4: a4, x5: a5, x6: a6, x7: a7) : scala.Tuple7[a1, a2, a3, a4, a5, a6, a7]
| `def` Tuple [a1, a2, a3, a4, a5, a6] (x1: a1, x2: a2, x3: a3, x4: a4, x5: a5, x6: a6) : scala.Tuple6[a1, a2, a3, a4, a5, a6]
| `def` Tuple [a1, a2, a3, a4, a5] (x1: a1, x2: a2, x3: a3, x4: a4, x5: a5) : scala.Tuple5[a1, a2, a3, a4, a5]
| `def` Tuple [a1, a2, a3, a4] (x1: a1, x2: a2, x3: a3, x4: a4) : scala.Tuple4[a1, a2, a3, a4]
| `def` Tuple [a1, a2, a3] (x1: a1, x2: a2, x3: a3) : scala.Tuple3[a1, a2, a3]
| `def` Tuple [a1, a2] (x1: a1, x2: a2) : scala.Tuple2[a1, a2]
| `def` Tuple [a1] (x1: a1) : scala.Tuple1[a1]
| `def` any2stringadd (x: java.lang.String) : scala.runtime.StringAdd
| `def` assert (assertion: scala.Boolean) : scala.Unit
| `def` assert (assertion: scala.Boolean, message: scala.Any) : scala.Unit
| `def` assume (assumption: scala.Boolean) : scala.Unit
| `def` assume (assumption: scala.Boolean, message: scala.Any) : scala.Unit
| `def` boolean2Boolean (x: scala.Boolean) : java.lang.Boolean
| `def` boolean2ordered (x: scala.Boolean) : scala.Ordered[scala.Boolean]
| `def` byte2Byte (x: scala.Byte) : java.lang.Byte
| `def` byte2double (x: scala.Byte) : scala.Double
| `def` byte2float (x: scala.Byte) : scala.Float
| `def` byte2int (x: scala.Byte) : scala.Int
| `def` byte2long (x: scala.Byte) : scala.Long
| `def` byte2ordered (x: scala.Byte) : scala.Ordered[scala.Byte]
| `def` byte2short (x: scala.Byte) : scala.Short
| `def` char2Character (x: scala.Char) : java.lang.Character
| `def` char2double (x: scala.Char) : scala.Double
| `def` char2float (x: scala.Char) : scala.Float
| `def` char2int (x: scala.Char) : scala.Int
| `def` char2long (x: scala.Char) : scala.Long
| `def` char2ordered (x: scala.Char) : scala.Ordered[scala.Char]
| `def` charWrapper (c: scala.Char) : scala.runtime.RichChar
| `def` classOf [T] : java.lang.Class Return the runtime representation of a class type.
| `def` currentThread : java.lang.Thread
| `def` double2Double (x: scala.Double) : java.lang.Double
| `def` double2ordered (x: scala.Double) : scala.Ordered[scala.Double]
| `def` error (message: java.lang.String) : scala.Nothing
| `def` exceptionWrapper (exc: java.lang.Throwable) : scala.runtime.RichException
| `def` exit (status: scala.Int) : scala.Nothing
| `def` exit : scala.Nothing
| `def` float2Float (x: scala.Float) : java.lang.Float
| `def` float2double (x: scala.Float) : scala.Double
| `def` float2ordered (x: scala.Float) : scala.Ordered[scala.Float]
| `def` identity [a] (x: a) : a
| `def` int2Integer (x: scala.Int) : java.lang.Integer
| `def` int2double (x: scala.Int) : scala.Double
| `def` int2float (x: scala.Int) : scala.Float
| `def` int2long (x: scala.Int) : scala.Long
| `def` int2ordered (x: scala.Int) : scala.Ordered[scala.Int]
| `def` intWrapper (x: scala.Int) : scala.runtime.RichInt
| `def` iterable2ordered [a] (xs: scala.Iterable[a])(view$0: scala.Function1[a, scala.Ordered[a]]) : scala.Ordered[scala.Iterable[a]]
| `def` long2Long (x: scala.Long) : java.lang.Long
| `def` long2double (x: scala.Long) : scala.Double
| `def` long2float (x: scala.Long) : scala.Float
| `def` long2ordered (x: scala.Long) : scala.Ordered[scala.Long]
| `def` short2Short (x: scala.Short) : java.lang.Short
| `def` short2double (x: scala.Short) : scala.Double
| `def` short2float (x: scala.Short) : scala.Float
| `def` short2int (x: scala.Short) : scala.Int
| `def` short2long (x: scala.Short) : scala.Long
| `def` short2ordered (x: scala.Short) : scala.Ordered[scala.Short]
| `def` string2ordered (x: java.lang.String) : scala.Ordered[java.lang.String]
| `def` string2seq (str: java.lang.String) : scala.Seq[scala.Char]
| `def` stringWrapper (x: java.lang.String) : scala.runtime.RichString
| `def` tuple22ordered [a1, a2] (x: scala.Tuple2[a1, a2])(view$1: scala.Function1[a1, scala.Ordered[a1]], view$2: scala.Function1[a2, scala.Ordered[a2]]) : scala.Ordered[scala.Tuple2[a1, a2]]
| `def` tuple32ordered [a1, a2, a3] (x: scala.Tuple3[a1, a2, a3])(view$3: scala.Function1[a1, scala.Ordered[a1]], view$4: scala.Function1[a2, scala.Ordered[a2]], view$5: scala.Function1[a3, scala.Ordered[a3]]) : scala.Ordered[scala.Tuple3[a1, a2, a3]]
| `def` tuple42ordered [a1, a2, a3, a4] (x: scala.Tuple4[a1, a2, a3, a4])(view$6: scala.Function1[a1, scala.Ordered[a1]], view$7: scala.Function1[a2, scala.Ordered[a2]], view$8: scala.Function1[a3, scala.Ordered[a3]], view$9: scala.Function1[a4, scala.Ordered[a4]]) : scala.Ordered[scala.Tuple4[a1, a2, a3, a4]]
| `def` tuple52ordered [a1, a2, a3, a4, a5] (x: scala.Tuple5[a1, a2, a3, a4, a5])(view$10: scala.Function1[a1, scala.Ordered[a1]], view$11: scala.Function1[a2, scala.Ordered[a2]], view$12: scala.Function1[a3, scala.Ordered[a3]], view$13: scala.Function1[a4, scala.Ordered[a4]], view$14: scala.Function1[a5, scala.Ordered[a5]]) : scala.Ordered[scala.Tuple5[a1, a2, a3, a4, a5]]
| `def` tuple62ordered [a1, a2, a3, a4, a5, a6] (x: scala.Tuple6[a1, a2, a3, a4, a5, a6])(view$15: scala.Function1[a1, scala.Ordered[a1]], view$16: scala.Function1[a2, scala.Ordered[a2]], view$17: scala.Function1[a3, scala.Ordered[a3]], view$18: scala.Function1[a4, scala.Ordered[a4]], view$19: scala.Function1[a5, scala.Ordered[a5]], view$20: scala.Function1[a6, scala.Ordered[a6]]) : scala.Ordered[scala.Tuple6[a1, a2, a3, a4, a5, a6]]
| `def` tuple72ordered [a1, a2, a3, a4, a5, a6, a7] (x: scala.Tuple7[a1, a2, a3, a4, a5, a6, a7])(view$21: scala.Function1[a1, scala.Ordered[a1]], view$22: scala.Function1[a2, scala.Ordered[a2]], view$23: scala.Function1[a3, scala.Ordered[a3]], view$24: scala.Function1[a4, scala.Ordered[a4]], view$25: scala.Function1[a5, scala.Ordered[a5]], view$26: scala.Function1[a6, scala.Ordered[a6]], view$27: scala.Function1[a7, scala.Ordered[a7]]) : scala.Ordered[scala.Tuple7[a1, a2, a3, a4, a5, a6, a7]]
| `def` tuple82ordered [a1, a2, a3, a4, a5, a6, a7, a8] (x: scala.Tuple8[a1, a2, a3, a4, a5, a6, a7, a8])(view$28: scala.Function1[a1, scala.Ordered[a1]], view$29: scala.Function1[a2, scala.Ordered[a2]], view$30: scala.Function1[a3, scala.Ordered[a3]], view$31: scala.Function1[a4, scala.Ordered[a4]], view$32: scala.Function1[a5, scala.Ordered[a5]], view$33: scala.Function1[a6, scala.Ordered[a6]], view$34: scala.Function1[a7, scala.Ordered[a7]], view$35: scala.Function1[a8, scala.Ordered[a8]]) : scala.Ordered[scala.Tuple8[a1, a2, a3, a4, a5, a6, a7, a8]]
| `def` tuple92ordered [a1, a2, a3, a4, a5, a6, a7, a8, a9] (x: scala.Tuple9[a1, a2, a3, a4, a5, a6, a7, a8, a9])(view$36: scala.Function1[a1, scala.Ordered[a1]], view$37: scala.Function1[a2, scala.Ordered[a2]], view$38: scala.Function1[a3, scala.Ordered[a3]], view$39: scala.Function1[a4, scala.Ordered[a4]], view$40: scala.Function1[a5, scala.Ordered[a5]], view$41: scala.Function1[a6, scala.Ordered[a6]], view$42: scala.Function1[a7, scala.Ordered[a7]], view$43: scala.Function1[a8, scala.Ordered[a8]], view$44: scala.Function1[a9, scala.Ordered[a9]]) : scala.Ordered[scala.Tuple9[a1, a2, a3, a4, a5, a6, a7, a8, a9]]
| `def` unit2ordered (x: scala.Unit) : scala.Ordered[scala.Unit]

Constructor Detail

`def` this

Type Detail

`type` ArrayIndexOutOfBoundsException

`type` Class

`type` ClassCastException

`type` Error

`type` Exception

`type` Function [a, b]

`type` IllegalArgumentException

`type` IndexOutOfBoundsException

`type` NoSuchElementException

`type` NullPointerException

`type` NumberFormatException

`type` Pair [a, b]

`type` RuntimeException

`type` String

`type` Throwable

`type` Triple [a, b, c]

`type` UnsupportedOperationException

`type` boolean

`type` byte

`type` char

`type` double

`type` float

`type` int

`type` long

`type` short

`type` unit

Val Detail

`val` $scope : scala.xml.TopScope.type

Def Detail

`def` Pair [a, b](x: a, y: b): scala.Tuple2[a, b]

`def` Triple [a, b, c](x: a, y: b, z: c): scala.Tuple3[a, b, c]

`def` Tuple [a1, a2, a3, a4, a5, a6, a7, a8, a9](x1: a1, x2: a2, x3: a3, x4: a4, x5: a5, x6: a6, x7: a7, x8: a8, x9: a9): scala.Tuple9[a1, a2, a3, a4, a5, a6, a7, a8, a9]

`def` Tuple [a1, a2, a3, a4, a5, a6, a7, a8](x1: a1, x2: a2, x3: a3, x4: a4, x5: a5, x6: a6, x7: a7, x8: a8): scala.Tuple8[a1, a2, a3, a4, a5, a6, a7, a8]

`def` Tuple [a1, a2, a3, a4, a5, a6, a7](x1: a1, x2: a2, x3: a3, x4: a4, x5: a5, x6: a6, x7: a7): scala.Tuple7[a1, a2, a3, a4, a5, a6, a7]

`def` Tuple [a1, a2, a3, a4, a5, a6](x1: a1, x2: a2, x3: a3, x4: a4, x5: a5, x6: a6): scala.Tuple6[a1, a2, a3, a4, a5, a6]

`def` Tuple [a1, a2, a3, a4, a5](x1: a1, x2: a2, x3: a3, x4: a4, x5: a5): scala.Tuple5[a1, a2, a3, a4, a5]

`def` Tuple [a1, a2, a3, a4](x1: a1, x2: a2, x3: a3, x4: a4): scala.Tuple4[a1, a2, a3, a4]

`def` Tuple [a1, a2, a3](x1: a1, x2: a2, x3: a3): scala.Tuple3[a1, a2, a3]

`def` Tuple [a1, a2](x1: a1, x2: a2): scala.Tuple2[a1, a2]

`def` Tuple [a1](x1: a1): scala.Tuple1[a1]

`def` any2stringadd (x: java.lang.String): scala.runtime.StringAdd

`def` assert (assertion: scala.Boolean): scala.Unit

`def` assert (assertion: scala.Boolean, message: scala.Any): scala.Unit

`def` assume (assumption: scala.Boolean): scala.Unit

`def` assume (assumption: scala.Boolean, message: scala.Any): scala.Unit

`def` boolean2Boolean (x: scala.Boolean): java.lang.Boolean

`def` boolean2ordered (x: scala.Boolean): scala.Ordered[scala.Boolean]

`def` byte2Byte (x: scala.Byte): java.lang.Byte

`def` byte2double (x: scala.Byte): scala.Double

`def` byte2float (x: scala.Byte): scala.Float

`def` byte2int (x: scala.Byte): scala.Int

`def` byte2long (x: scala.Byte): scala.Long

`def` byte2ordered (x: scala.Byte): scala.Ordered[scala.Byte]

`def` byte2short (x: scala.Byte): scala.Short

`def` char2Character (x: scala.Char): java.lang.Character

`def` char2double (x: scala.Char): scala.Double

`def` char2float (x: scala.Char): scala.Float

`def` char2int (x: scala.Char): scala.Int

`def` char2long (x: scala.Char): scala.Long

`def` char2ordered (x: scala.Char): scala.Ordered[scala.Char]

`def` charWrapper (c: scala.Char): scala.runtime.RichChar

`def` classOf [T]: java.lang.Class

  Return the runtime representation of a class type.

`def` currentThread : java.lang.Thread

`def` double2Double (x: scala.Double): java.lang.Double

`def` double2ordered (x: scala.Double): scala.Ordered[scala.Double]

`def` error (message: java.lang.String): scala.Nothing

`def` exceptionWrapper (exc: java.lang.Throwable): scala.runtime.RichException

`def` exit (status: scala.Int): scala.Nothing

`def` exit : scala.Nothing

`def` float2Float (x: scala.Float): java.lang.Float

`def` float2double (x: scala.Float): scala.Double

`def` float2ordered (x: scala.Float): scala.Ordered[scala.Float]

`def` identity [a](x: a): a

`def` int2Integer (x: scala.Int): java.lang.Integer

`def` int2double (x: scala.Int): scala.Double

`def` int2float (x: scala.Int): scala.Float

`def` int2long (x: scala.Int): scala.Long

`def` int2ordered (x: scala.Int): scala.Ordered[scala.Int]

`def` intWrapper (x: scala.Int): scala.runtime.RichInt

`def` iterable2ordered [a](xs: scala.Iterable[a])(view$0: scala.Function1[a, scala.Ordered[a]]): scala.Ordered[scala.Iterable[a]]

`def` long2Long (x: scala.Long): java.lang.Long

`def` long2double (x: scala.Long): scala.Double

`def` long2float (x: scala.Long): scala.Float

`def` long2ordered (x: scala.Long): scala.Ordered[scala.Long]

`def` short2Short (x: scala.Short): java.lang.Short

`def` short2double (x: scala.Short): scala.Double

`def` short2float (x: scala.Short): scala.Float

`def` short2int (x: scala.Short): scala.Int

`def` short2long (x: scala.Short): scala.Long

`def` short2ordered (x: scala.Short): scala.Ordered[scala.Short]

`def` string2ordered (x: java.lang.String): scala.Ordered[java.lang.String]

`def` string2seq (str: java.lang.String): scala.Seq[scala.Char]

`def` stringWrapper (x: java.lang.String): scala.runtime.RichString

`def` tuple22ordered [a1, a2](x: scala.Tuple2[a1, a2])(view$1: scala.Function1[a1, scala.Ordered[a1]], view$2: scala.Function1[a2, scala.Ordered[a2]]): scala.Ordered[scala.Tuple2[a1, a2]]

`def` tuple32ordered [a1, a2, a3](x: scala.Tuple3[a1, a2, a3])(view$3: scala.Function1[a1, scala.Ordered[a1]], view$4: scala.Function1[a2, scala.Ordered[a2]], view$5: scala.Function1[a3, scala.Ordered[a3]]): scala.Ordered[scala.Tuple3[a1, a2, a3]]

`def` tuple42ordered [a1, a2, a3, a4](x: scala.Tuple4[a1, a2, a3, a4])(view$6: scala.Function1[a1, scala.Ordered[a1]], view$7: scala.Function1[a2, scala.Ordered[a2]], view$8: scala.Function1[a3, scala.Ordered[a3]], view$9: scala.Function1[a4, scala.Ordered[a4]]): scala.Ordered[scala.Tuple4[a1, a2, a3, a4]]

`def` tuple52ordered [a1, a2, a3, a4, a5](x: scala.Tuple5[a1, a2, a3, a4, a5])(view$10: scala.Function1[a1, scala.Ordered[a1]], view$11: scala.Function1[a2, scala.Ordered[a2]], view$12: scala.Function1[a3, scala.Ordered[a3]], view$13: scala.Function1[a4, scala.Ordered[a4]], view$14: scala.Function1[a5, scala.Ordered[a5]]): scala.Ordered[scala.Tuple5[a1, a2, a3, a4, a5]]

`def` tuple62ordered [a1, a2, a3, a4, a5, a6](x: scala.Tuple6[a1, a2, a3, a4, a5, a6])(view$15: scala.Function1[a1, scala.Ordered[a1]], view$16: scala.Function1[a2, scala.Ordered[a2]], view$17: scala.Function1[a3, scala.Ordered[a3]], view$18: scala.Function1[a4, scala.Ordered[a4]], view$19: scala.Function1[a5, scala.Ordered[a5]], view$20: scala.Function1[a6, scala.Ordered[a6]]): scala.Ordered[scala.Tuple6[a1, a2, a3, a4, a5, a6]]

`def` tuple72ordered [a1, a2, a3, a4, a5, a6, a7](x: scala.Tuple7[a1, a2, a3, a4, a5, a6, a7])(view$21: scala.Function1[a1, scala.Ordered[a1]], view$22: scala.Function1[a2, scala.Ordered[a2]], view$23: scala.Function1[a3, scala.Ordered[a3]], view$24: scala.Function1[a4, scala.Ordered[a4]], view$25: scala.Function1[a5, scala.Ordered[a5]], view$26: scala.Function1[a6, scala.Ordered[a6]], view$27: scala.Function1[a7, scala.Ordered[a7]]): scala.Ordered[scala.Tuple7[a1, a2, a3, a4, a5, a6, a7]]

`def` tuple82ordered [a1, a2, a3, a4, a5, a6, a7, a8](x: scala.Tuple8[a1, a2, a3, a4, a5, a6, a7, a8])(view$28: scala.Function1[a1, scala.Ordered[a1]], view$29: scala.Function1[a2, scala.Ordered[a2]], view$30: scala.Function1[a3, scala.Ordered[a3]], view$31: scala.Function1[a4, scala.Ordered[a4]], view$32: scala.Function1[a5, scala.Ordered[a5]], view$33: scala.Function1[a6, scala.Ordered[a6]], view$34: scala.Function1[a7, scala.Ordered[a7]], view$35: scala.Function1[a8, scala.Ordered[a8]]): scala.Ordered[scala.Tuple8[a1, a2, a3, a4, a5, a6, a7, a8]]

`def` tuple92ordered [a1, a2, a3, a4, a5, a6, a7, a8, a9](x: scala.Tuple9[a1, a2, a3, a4, a5, a6, a7, a8, a9])(view$36: scala.Function1[a1, scala.Ordered[a1]], view$37: scala.Function1[a2, scala.Ordered[a2]], view$38: scala.Function1[a3, scala.Ordered[a3]], view$39: scala.Function1[a4, scala.Ordered[a4]], view$40: scala.Function1[a5, scala.Ordered[a5]], view$41: scala.Function1[a6, scala.Ordered[a6]], view$42: scala.Function1[a7, scala.Ordered[a7]], view$43: scala.Function1[a8, scala.Ordered[a8]], view$44: scala.Function1[a9, scala.Ordered[a9]]): scala.Ordered[scala.Tuple9[a1, a2, a3, a4, a5, a6, a7, a8, a9]]

`def` unit2ordered (x: scala.Unit): scala.Ordered[scala.Unit]